%bcond_without  tests

Summary:        A Python Parsing Module
Name:           pyparsing
Version:        3.0.9
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/pyparsing/pyparsing
Source0:        %{url}/archive/pyparsing_%{version}/pyparsing-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-setuptools, python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
%endif


%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package -n python3-pyparsing
Summary:        Python package with an object-oriented approach to text processing

%description -n python3-pyparsing
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the Python 3 version.



%prep
%autosetup -n pyparsing-pyparsing_%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyparsing

%check
%if %{with tests}
# we do not support railroad, so by pass these tests
%pytest -v --ignore=tests/test_diagram.py -k "not testEmptyExpressionsAreHandledProperly"
%endif

%files -n python%{python3_pkgversion}-pyparsing -f %{pyproject_files}
%license LICENSE
%doc CHANGES README.rst

%changelog
* Mon May 13 2024 Shuo Wang <abushwang@tencent.com> - 3.0.9-2
- open %check for pyparsing

* Wed Jan 17 2024 Shuo Wang <abushwang@tencent.com> - 3.0.9-1
- update to 3.0.9

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.7-2
- Rebuilt for OpenCloudOS Stream 23

* Wed May 11 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.0.7-1
- Initial.
